%define version 1.6.1
%define name enscript
%define prefix %{_prefix}
%define release 16mdk

Name: %{name}
Summary: Converts plain ASCII to PostScript.
Release: %{release}
Version: %{version}
Copyright: GPL
Group: Publishing
Source0: ftp://ftp.gnu.org/pub/gnu/enscript/enscript-1.6.1.tar.bz2
# some language catalogs not yet included on the sources; to remove once
# it is outdated
Source2: enscript-1.6.1-pofiles.tar.bz2
Patch0: enscript-1.6.1-config.patch.bz2
Patch1: enscript-1.6.1-charsets.diff.bz2
URL: http://people.ssh.fi/mtr/genscript/
Prefix: %{_prefix}
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-buildroot
Obsoletes: nenscript

%description
Enscript is a print filter. It can take ASCII input
and format it into PostScript output. At the same time,
it can also do nice transformations like putting two
ASCII pages on one physical page (side by side) or
changing fonts.

%prep
%setup -q
%patch0 -p1
# can't be used until configure script is fixed :-(
#%patch1 -p1 -b .newcharsets

%build
%configure --with-media=Letter --sysconfdir=/etc
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p $RPM_BUILD_ROOT/etc/%{name}
cp $RPM_BUILD_ROOT/%{_datadir}/%{name}/font.map $RPM_BUILD_ROOT/etc/%{name}/font.map
pushd $RPM_BUILD_ROOT/%{_datadir}/%{name}
ln -sf /etc/%{name}/font.map
popd

(cd $RPM_BUILD_ROOT && ln .%{_bindir}/enscript .%{_bindir}/nenscript)

# install some languages catalogs by hand if needed
for i in $RPM_SOURCE_DIR/%{name}-*pofiles.tar.bz2 ; do
	tar jxvf $i
done
for i in po/*.po ; do
	mkdir -p $RPM_BUILD_ROOT/%{_datadir}/locale/`basename $i .po`/LC_MESSAGES
	msgfmt -o $RPM_BUILD_ROOT/%{_datadir}/locale/`basename $i .po`/LC_MESSAGES/%{name}.mo $i
done

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog FAQ.html NEWS README README.ESCAPES THANKS TODO 
%config(noreplace) /etc/enscript.cfg
%config(noreplace) /etc/enscript/font.map
%{_datadir}/%{name}
%{_bindir}/*
%{_mandir}/*/*

%changelog
* Mon Nov 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.6.1-16mdk
- try to honour config files in /etc

* Wed Aug 30 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.6.1-15mdk
- licence: GNU -> GPL

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.6.1-14mdk
- automatically added packager tag

* Mon Aug 14 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.6.1-13mdk
- added Irish catalog

* Mon Jul 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.6.1-12mdk
- macros, cleanup
- make ewt's marking of /usr/share/enscript/font.map work (Perl rules)

* Thu Mar 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.6.1-11mdk
- new groups
- fixed non-existent URL

* Tue Nov 23 1999 Franois PONS <fpons@mandrakesoft.com>
- Build release.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Wed Mar 24 1999 Erik Troan <ewt@redhat.com>
- marked /usr/share/enscript/font.map as a config file

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- added documentation to the RPM

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- strip binaries.
- include i18n locales.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Wed Nov 11 1998 Preston Brown <pbrown@redhat.com>
- translations ripped out, slight cleanup to build section.

* Mon Nov 09 1998 Preston Brown <pbrown@redhat.com>
- initial build of GNU enscript to replace nenscript.
